/*
    DB Port
    Copyright (C) 2010 Daniel Mewes
*/

package dbport;

import systeminterface.*;
import operator.*;

class DescribeIndexesPage extends HtmlPage {
    public static String getContent(DbEnvironment environment) {
        StringBuffer result = new StringBuffer();
        
        result.append(getHtmlHead());
        
        result.append("<h1>Indexes</h1>");
        
        String description = environment.database.getIndexInterface().describeAllIndexes();
        
        // Ugly hack to preserver formatting...
        result.append("<textarea rows=\"20\" cols=\"120\">");
        result.append(description.replace("<", "&lt;").replace(">", "&gt;"));
        result.append("</textarea>");
        
        result.append(getHtmlTail());
        
        return result.toString();
    }
}
